<mat-card>
  <mat-card-content>
    <div fxFlex.gt-md="93">
      <mat-card-title>{{'Historique' | translate}}</mat-card-title>
      <mat-card-subtitle class="project-name"
        >{{'Dernières modifications sur le projet' | translate}} {{ projectName }}
      </mat-card-subtitle>
    </div>
    <div>
      <a mat-icon-button>
        <mat-icon
          matTooltip="Revenir en arrière"
          color="accent"
          [routerLink]="['/project/list']"
          >undo</mat-icon
        >
      </a>
      <a mat-icon-button>
        <mat-icon
          matTooltip="{{'Consulter projet' | translate}}"
          color="accent"
          [routerLink]="['/project/details', projectId]"
          >remove_red_eye</mat-icon
        >
      </a>
    </div>
  </mat-card-content>
  <div class="no-data" *ngIf="trailProjectList.length === 0">
    {{ noData }}
    <br />
    <br />
  </div>
  <div class="comment-widgets trails" *ngFor="let trail of obs | async">
    <!-- Add project -->
    <div
      class="d-flex flex-row comment-row"
      *ngIf="trail.eventType === 'POST' && !trail.entityName"
    >
      <div class="p-2">
        <span class="round">
          <img src="{{ trail.user.image }}" alt="user" width="50" />
        </span>
      </div>
      <div class="comment-text w-100 p-t-0">
        <h6 class="m-0">
          {{ trail.user.firstName }} {{ trail.user.lastName }}
        </h6>
        <p class="m-b-5 m-t-0 text-muted">
          <span class="trail-text">
            {{ trail.user.firstName }} {{ trail.user.lastName }} {{'a crée le projet' | translate}}
          </span>
        </p>
        <div class="comment-footer">
          <span class="text-muted pull-right trail-text">{{
            trail.createdAt | date : " MMMM d, y, h:mm a"
          }}</span>
        </div>
      </div>
    </div>
    <!-- Add phases -->
    <div
      class="d-flex flex-row comment-row"
      *ngIf="trail.eventType === 'POST' && trail.entityName"
    >
      <div class="p-2">
        <span class="round">
          <img src="{{ trail.user.image }}" alt="user" width="50" />
        </span>
      </div>
      <div class="comment-text w-100 p-t-0">
        <h6 class="m-0">
          {{ trail.user.firstName }} {{ trail.user.lastName }}
        </h6>
        <p class="m-b-5 m-t-0 text-muted">
          <span class="trail-text">
            {{ trail.user.firstName }} {{ trail.user.lastName }}
            <span class="success">{{'a ajouté' | translate}} {{ trail.entityName }}</span></span
          >
        </p>
        <div class="comment-footer">
          <span class="text-muted pull-right trail-text">{{
            trail.createdAt | date : " MMMM d, y, h:mm a"
          }}</span>
        </div>
      </div>
    </div>
    <div
      class="d-flex flex-row comment-row"
      *ngIf="trail.eventType === 'PUT' && !trail.entityName"
    >
      <div class="p-2">
        <span class="round">
          <img src="{{ trail.user.image }}" alt="user" width="50" />
        </span>
      </div>
      <div class="comment-text w-100 p-t-0">
        <h6 class="m-0">
          {{ trail.user.firstName }} {{ trail.user.lastName }}
        </h6>
        <ng-container
          *ngIf="
            trail.attributes.length === trail.oldValues.length &&
            trail.attributes.length === trail.newValues.length
          "
        >
          <p
            class="m-b-5 m-t-0 text-muted"
            *ngFor="let att of trail.attributes; let i = index"
          >
            <span class="trail-text" *ngIf="att !== 'users'">
              {{ trail.user.firstName }} {{ trail.user.lastName }}
              <span class="success">
                {{'a modifié' | translate}} {{ trail.attributes[i] }} {{'de'| translate}} {{ trail.oldValues[i] }}
              </span>
              {{'à' | translate}} <span class="danger">{{ trail.newValues[i] }}</span>
            </span>
            <span class="trail-text" *ngIf="att === 'users'">
              <div *ngIf="trail.newValues[i].length > 0">
                {{ trail.user.firstName }} {{ trail.user.lastName }}
                <span class="danger">
                  {{'a ajouté' | translate}}
                  <span *ngFor="let t of trail.newValues[i]; let j = index"
                    >{{ trail.newValues[i][j] }} </span
                  >{{'au projet'| translate}}</span
                >
              </div>
              <div *ngIf="trail.oldValues[i].length > 0">
                {{ trail.user.firstName }} {{ trail.user.lastName }}
                <span class="success">
                  {{'a retiré' | translate}}
                  <span *ngFor="let t of trail.oldValues[i]; let j = index"
                    >{{ trail.oldValues[i][j] }} </span
                  >{{'du projet'|translate}}</span
                >
              </div>
            </span>
          </p>
        </ng-container>
        <div class="comment-footer">
          <span class="text-muted pull-right trail-text">{{
            trail.createdAt | date : " MMMM d, y, h:mm a"
          }}</span>
        </div>
      </div>
    </div>
    <div
      class="d-flex flex-row comment-row"
      *ngIf="trail.eventType === 'PUT' && trail.entityName"
    >
      <div class="p-2">
        <span class="round">
          <img src="{{ trail.user.image }}" alt="user" width="50" />
        </span>
      </div>
      <div class="comment-text w-100 p-t-0">
        <h6 class="m-0">
          {{ trail.user.firstName }} {{ trail.user.lastName }}
        </h6>
        <ng-container
          *ngIf="
            trail.attributes.length === trail.oldValues.length &&
            trail.attributes.length === trail.newValues.length
          "
        >
          <p
            class="m-b-5 m-t-0 text-muted"
            *ngFor="let att of trail.attributes; let i = index"
          >
            <span class="trail-text">
              {{ trail.user.firstName }} {{ trail.user.lastName }}
              <span class="success">
                {{'a modifié pour' | transalte}} {{ trail.entityName }}
                {{ trail.attributes[i] }} <span *ngIf="trail.oldValues[i]!==null"> {{'de' | translate}} {{ trail.oldValues[i] }} </span>
              </span>
              {{'à' | translate}} <span class="danger">{{ trail.newValues[i] }}</span>
            </span>
          </p>
        </ng-container>
        <div class="comment-footer">
          <span class="text-muted pull-right trail-text">{{
            trail.createdAt | date : " MMMM d, y, h:mm a"
          }}</span>
        </div>
      </div>
    </div>
    <div
      class="d-flex flex-row comment-row"
      *ngIf="trail.eventType === 'DELETE'"
    >
      <div class="p-2">
        <span class="round">
          <img src="{{ trail.user.image }}" alt="user" width="50" />
        </span>
      </div>
      <div class="comment-text w-100 p-t-0">
        <h6 class="m-0">
          {{ trail.user.firstName }} {{ trail.user.lastName }}
        </h6>
        <p class="m-b-5 m-t-0 text-muted">
          <span class="trail-text">
            {{ trail.user.firstName }} {{ trail.user.lastName }} <span class="danger"> {{'a supprimé' | translate}}
            {{ trail.entityName }} </span></span>
        </p>
        <div class="comment-footer">
          <span class="text-muted pull-right trail-text">{{
            trail.createdAt | date : " MMMM d, y, h:mm a"
          }}</span>
        </div>
      </div>
    </div>
  </div>
  <mat-paginator
    [pageSizeOptions]="[5, 25, 50, 100, 250, 500, 1000]"
  ></mat-paginator>
</mat-card>
